from flask import Flask, render_template, request, jsonify
from datetime import datetime
import time

app = Flask(__name__)

sample_data = {
    "Apple": "Apple is a fruit.",
    "Banana": "Banana is a fruit.",
    "Orange": "Orange is a fruit.",
    "Pineapple": "Pineapple is a fruit.",
    "Grapes": "Grapes are fruits.",
    "Strawberry": "Strawberry is a fruit."
}

@app.route('/')
def index():
    return render_template('index.html')

@app.route('/search', methods=['GET'])
def search():
    query = request.args.get('query', '').lower()
    results = []
    # Iterate over sample data to find matches and related content
    for item, content in sample_data.items():
        if query.lower() in item.lower():
            results.append({"item": item, "content": content})
    return jsonify(results=results)

@app.route('/submit', methods=['POST'])
def submit():
    # Dummy form submission
    if request.method == 'POST':
        form_data = request.form
        # Do something with the form data
        print(form_data)
        return jsonify(form_data)

if __name__ == '__main__':
    app.run(debug=True)
